%define enable_gpgme 0
%{?_with_gpgme: %global enable_gpgme 1}
%define title Balsa
%define summary Balsa Mail Client

Summary:	%summary
Name:		balsa
Version:        2.3.20
Release:        %mkrel 1
License:	GPL
Group:		Networking/Mail

Source0:	http://balsa.gnome.org/%{name}-%{version}.tar.bz2

URL:		http://www.balsa.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  aspell-devel >= 0.50
BuildRequires:	libesmtp-devel
BuildRequires:  libgnomeprintui-devel >= 2.1.7
BuildRequires:  libgnomeui2-devel
# in balsa, gtkhtml 3.x is preferred over 2.x
BuildRequires:	libgtkhtml-3.8-devel
#BuildRequires:	gtkhtml2-devel
BuildRequires:	libltdl-devel
BuildRequires:	pcre-devel
BuildRequires:  scrollkeeper
BuildRequires:	sendmail-command
BuildRequires:	ImageMagick
BuildRequires:	libldap-devel
BuildRequires:	intltool
BuildRequires:  libltdl-devel
BuildRequires:	libgmime-devel >= 2.1.7
BuildRequires:	krb-devel
BuildRequires:	libnotify-devel
BuildRequires:	gtkspell-devel

%if %enable_gpgme
BuildRequires:	gpgme-devel >= 0.4.2
%endif

Requires(post):         scrollkeeper >= 0.3
Requires(postun):         scrollkeeper >= 0.3

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Balsa is an e-mail reader.

This client is part of the GNOME desktop environment. It supports local
mailboxes, POP3 and IMAP.

*** Build options: ***
--with gpgme              Build with gpgme/GnuPG support

%prep
%setup -q

%build
%configure2_5x	\
	--with-gtkhtml \
	--with-gss=yes \
%if %enable_gpgme
	--with-gpgme \
%endif
	--with-ssl \
	--with-ldap=yes \
	--with-gtkspell

make

%install
rm -rf %{buildroot}
%makeinstall_std GTK_UPDATE_ICON_CACHE="/usr/bin/gtk-update-icon-cache --ignore-theme-index"

# Icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m 644 -D       gnome-balsa2.png %{buildroot}/%{_liconsdir}/%{name}.png
convert -geometry 32x32 gnome-balsa2.png %{buildroot}/%{_iconsdir}/%{name}.png
convert -geometry 16x16 gnome-balsa2.png %{buildroot}/%{_miconsdir}/%{name}.png

%find_lang %{name} --with-gnome

for i in %{buildroot}%{_datadir}/gnome/help/%{name}/*; do
  touch $i/%{name}.html
done

%clean
rm -fr %{buildroot}

%post
%update_scrollkeeper
touch %{_datadir}/gnome/help/%{name}/C/%{name}.html
%{update_desktop_database}

%postun
%{clean_scrollkeeper}
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_datadir}/idl/*.idl
%{_datadir}/omf/*
%{_datadir}/sounds/*
%{_datadir}/icons/*
%{_libdir}/bonobo/servers/*.server
%{_mandir}/*/*
%ghost %{_datadir}/gnome/help/%{name}/*/%{name}.html

%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png




%changelog
* Fri Dec 14 2007 Jérôme Soyer <saispo@mandriva.org> 2.3.20-1mdv2008.1
+ Revision: 119710
- New release

* Mon Sep 17 2007 Austin Acton <austin@mandriva.org> 2.3.19-2mdv2008.0
+ Revision: 88855
- drop old (duplicate) menu

* Thu Sep 06 2007 Austin Acton <austin@mandriva.org> 2.3.19-1mdv2008.0
+ Revision: 80570
- buildrequires
- build with gtk-spell
- new version
- fix menu categories

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sun Jan 07 2007 Pascal Terjan <pterjan@mandriva.org> 2.3.14-1mdv2007.0
+ Revision: 105327
- 2.3.14
- Import balsa

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.13-3mdv2007.0
- Rebuild with latest dbus

* Fri Jul 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.13-2mdv2007.0
- Rebuild with latest libgail

* Sun Jul 02 2006 Jerome Soyer <saispo@mandriva.org> 2.3.13-1mdv2007.0
- New release 2.3.13
- Remove Patch0

* Fri Mar 10 2006 Jerome Soyer <saispo@mandriva.org> 2.3.12-1mdk
- New release 2.3.12

* Thu Mar 09 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.3.8-5mdk
- Again Rebuild for missing src.rpm

* Fri Mar 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.3.8-4mdk
- Rebuild for missing src.rpm

* Tue Jan 24 2006 Jerome Soyer <saispo@mandriva.org> 2.3.8-3mdk
- rebuild with latest libgmime

* Tue Jan 24 2006 Jerome Soyer <saispo@mandriva.org> 2.3.8-1mdk
- 2.3.8

* Wed Jan 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.4-2mdk
- Rebuild with latest gtkhtml
- Remove yelp-pregenerate call
- fix prereq

* Fri Sep 09 2005 Andreas Hasenack <andreas@mandriva.com> 2.3.4-1mdk
- updated to version 2.3.4
- removed ldap patch, already applied
- removed lib64 patch which was *not* being applied (but the patch itself
  was lying around)
- enabled GSSAPI authentication (tested OK)
- ignore theme index in make install
- rebuilt with openldap-2.3.x

* Mon Jul 25 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.3.3-2mdk
- Rebuild

* Fri Jun 10 2005 Austin Acton <austin@mandriva.org> 2.3.3-1mdk
- New release 2.3.3
- patch to make ldap compile

* Thu Mar 10 2005 Jerome Soyer <saispo@mandrake.org> 2.3.0-1mdk
- New release

* Tue Feb 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.2.6-4mdk
- rebuild for ldap2.2_7

* Fri Feb 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2.6-3mdk
- rebuilt against new openldap libs

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.6-2mdk 
- Rebuild with latest howl

* Mon Nov 22 2004 Jerome Soyer <saispo@mandrake.org> 2.2.6-1mdk
- 2.2.6

* Wed Nov 10 2004 Jerome Soyer <saispo@mandrake.org> 2.2.5-1mdk
- 2.2.5
- Disable intltoolize

* Sat Sep 25 2004 Jerome Soyer <saispo@mandrake.org> 2.2.4-1mdk
- 2.2.4

* Fri Aug 20 2004 Jerome Soyer <saispo@mandrake.org> 2.2.3-1mdk
- 2.2.3

* Thu Aug 12 2004 Jerome Soyer <saispo@mandrake.org>2.2.2-1mdk
- 2.2.2

* Wed Jul 21 2004 Pascal Terjan <pterjan@mandrake.org> 2.2.0-1mdk
- 2.2.0
- Drop patch2 (upstream)

* Tue Apr 20 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.17-1mdk
- 2.0.17

* Fri Mar 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.16-3mdk
- Rebuild against latest gal/gtkhtml

* Wed Jan 28 2004 Abel Cheung <deaddog@deaddog.org> 2.0.16-2mdk
- Fix buildrequires (thx Stefan's bot)

* Wed Jan 28 2004 Abel Cheung <deaddog@deaddog.org> 2.0.16-1mdk
- New version
- Remove patch0 (upstream)
- Remove old distro BuildRequires because they are wrong, please supply
  correct ones later on if desired
- Regen patch1

